<%= f.fields_for :properties do |brazil_map_form| %>
  <%= brazil_map_form.select :component, [["Eventos", "meetings"], ["Propostas", "proposals"]],
    { include_blank: "Selecione o tipo de mapa", label: "Tipo de mapa" },
    { id: "data-type-selector", class: "form-control" } %>

    <%= brazil_map_form.hidden_field :component_id, id: "component-id-field" %>

    <div id="meetings-select-container" class="select-container" style="display: none">
      <%= 
        select_tag :meetings_component_id,
        options_for_select(component_select("meetings", current_participatory_space.id), selected: @home_element.properties['component_id']),
        { include_blank: t("decidim.homes.elements.admin.select_a_component"), class: "form-control" }
      %>
    </div>

    <div id="proposals-select-container" class="select-container" style="display: none">
      <%= 
        select_tag :proposals_component_id,
        options_for_select(component_select("proposals", current_participatory_space.id), selected: @home_element.properties['component_id']),
        { include_blank: t("decidim.homes.elements.admin.select_a_component"), class: "form-control" }
      %>
    </div>

    <%= brazil_map_form.text_field :title, label: "Título", value: @home_element.properties['title'] || t("decidim.participatory_processes.participatory_processes.region_meetings.meeting_map_title"), placeholder: "Preencha o título" %>
    <%= brazil_map_form.text_field :list_title, label: "Título da Lista", value: @home_element.properties['list_title'] || "Eventos no", placeholder: "Preencha o título da lista" %>
    <p class="help-text">Sugestão: insira algo como "Eventos no", o estado será adicionado automaticamente. Exemplo: "Eventos no Rio de Janeiro".</p>
    <%= brazil_map_form.text_field :meeting_name, label: "Nome personalizado do evento", value: @home_element.properties['meeting_name'] || "evento", placeholder: "Preencha o nome do evento" %>
<% end %>
<script>
  document.addEventListener("DOMContentLoaded", () => {
  const dataTypeSelector = document.getElementById("data-type-selector");
  const meetingsContainer = document.getElementById("meetings-select-container");
  const proposalsContainer = document.getElementById("proposals-select-container");
  const hiddenField = document.getElementById("component-id-field");
  const meetingsSelect = document.querySelector("[name='meetings_component_id']");
  const proposalsSelect = document.querySelector("[name='proposals_component_id']");

  const toggleSelects = (selectedType) => {
    if (selectedType === "meetings") {
      meetingsContainer.style.display = "block";
      proposalsContainer.style.display = "none";
      hiddenField.value = meetingsSelect.value;
    } else if (selectedType === "proposals") {
      proposalsContainer.style.display = "block";
      meetingsContainer.style.display = "none";
      hiddenField.value = proposalsSelect.value;
    } else {
      proposalsContainer.style.display = "none";
      meetingsContainer.style.display = "none";
      hiddenField.value = ""; 
    }
  };

  meetingsSelect.addEventListener("change", () => {
      hiddenField.value = meetingsSelect.value;
  });

  proposalsSelect.addEventListener("change", () => {
      hiddenField.value = proposalsSelect.value;
  });

  toggleSelects(dataTypeSelector.value);

  dataTypeSelector.addEventListener("change", (event) => {
    toggleSelects(event.target.value);
  });
});

</script>